%define mozver 37:1.7.13
%define desktop_file_utils_version 0.9
ExclusiveArch: i386 x86_64 ppc
%define epiphany_mainver 1.6

Summary: GNOME web browser based on the Mozilla rendering engine
Name: epiphany
Version: 1.6.5
Release: 3
License: GPL
Group: Applications/Internet
URL: http://www.gnome.org/projects/epiphany/
Source0: %{name}-%{version}.tar.bz2
Patch0: epiphany-1.0.1-home-page.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: scrollkeeper, GConf2
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
Requires: mozilla = %mozver
# 1.0.5 for gnome-spinner, 1.0.6 for web-browser
Requires: gnome-icon-theme >= 1.0.6-1
BuildRequires: mozilla-devel >= 1.7
BuildRequires: mozilla
BuildRequires: gtk2-devel >= 2.3.2
BuildRequires: libbonoboui-devel >= 2.1.1
BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: libxml2-devel, libgnomeui-devel, libglade2-devel
BuildRequires: gnome-vfs2-devel, GConf2-devel, ORBit2-devel
BuildRequires: eel2-devel

%description
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine

%package devel
Summary: The files needed for developing extensions for the epiphany web browser.
Group: Development/Libraries

%description devel
epiphany is a web browser based on the Mozilla rendering engine.
This package allows you to develop extensions that work within epiphany.

Install epiphany-devel if you want to write extensions for epiphany.

%prep
%setup -q

%patch0 -p1 -b .homepage

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# Remove the bookmarks editor menu item
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/bme.desktop

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="epiphany.schemas epiphany-lockdown.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README NEWS
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/epiphany
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*.desktop
%{_datadir}/epiphany
%{_datadir}/gnome/help/epiphany
%{_datadir}/man/man*/*
%{_datadir}/omf/epiphany
%{_datadir}/pixmaps/*png
%{_datadir}/application-registry/epiphany.applications

%files devel
%defattr(-, root, root)
%{_includedir}/epiphany-%{epiphany_mainver}
%{_libdir}/pkgconfig/epiphany-%{epiphany_mainver}.pc
%{_datadir}/gtk-doc/html/epiphany

%changelog
* Wed Apr 26 2006 Christopher Aillon <caillon@redhat.com> - 1.6.5-3
- Rebuild

* Fri Sep 23 2005 Christopher Aillon <caillon@redhat.com> - 1.6.5-2
- Rebuild

* Wed Aug 17 2005 Marco Pesenti Gritti <mpg@redhat.com> -  1.6.5-1
- Update to 1.6.5
- Remove patch integrated upstream

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 1.6.3-2
- Rebuild against new mozilla packages

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> - 1.6.3-1
- Update to 1.6.3

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> - 1.6.1-3
- Depend on mozilla 1.7.8

* Sat Apr 16 2005 Christopher Aillon <caillon@redhat.com> - 1.6.1-2
- Depend on mozilla 1.7.7

* Wed Apr  6 2005 Elliot Lee <sopwith@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Wed Mar  9 2005 Christopher Aillon <caillon@redhat.com> - 1.5.8-3
- Depend on mozilla 1.7.6

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> - 1.5.8-2
- Rebuild

* Thu Mar  3 2005 Marco Pesenti Gritti <mpg@redhat.com> - 1.5.8-1
- Update to 1.5.8

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.7-1
- Update to 1.5.7

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.6-1
- Update to 1.5.6

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.5-1
- Update to 1.5.5

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.7-2
- Add the manual to the package

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.7-1
- Update to 1.4.7

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.6-2
- Depend on mozilla 1.7.5

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.6-1
- Update to 1.4.6

* Tue Nov  9 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-6
- Add docs

* Thu Nov  4 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-5
- Update the desktop files database. Fix #135566

* Mon Oct 18 2004 Christopher Aillon <caillon@redhat.com> 1.4.4-4
- Put back ppc

* Tue Oct 12 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-3
- Remove generic name patch, epiphany is no more default

* Tue Oct 12 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-2
- Disable direct handling of downloads by external applications

* Mon Oct 11 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-1
- Add a devel package for extensions development

* Mon Oct 11 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-0
- Update to 1.4.4

* Sun Oct 07 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.3-0
- Remove mozilla 1.7.3 compatibility patch
- Do not disable the nautilus view, it has been removed upstream
 
* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.6
- Don't require a specific mozilla rpm release, only the version

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.5
- Change .desktop file name to "Web Browser" instead of "Epiphany..."

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.4
- Include epiphany's default .desktop file - don't remove it.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.3
- Make sure to include the epoch for the mozilla version.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.2
- Add patch to get this epiphany building with moz 1.7.3.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.1
- Don't query for the mozilla version, use an explicit version number

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.0
- Update to 1.4.0

* Fri Sep 24 2004 Mark McLoughlin <markmc@redhat.com> - 1.3.8-0.3.3
- Remove the bookmarks editor from the menu (bug #132549)

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 1.3.8-0.3.2
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Fri Sep 03 2004 Christopher Blizzard <blizzard@redhat.com>
- Bump release and rebuild.

* Wed Sep 01 2004 Christopher Blizzard <blizzard@redht.com>
- Update to 1.3.8

* Tue Aug 17 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.3.5.
- Remove epiphany-bin - it's not there anymore.
- Change to .bz2 source tarball.

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Tue Aug 03 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.7
- Disable nautilus view since it's broken

* Wed Jun 23 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.6

* Tue Jun 22 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 05 2004 Warren Togami <wtogami@redhat.com> - 1.2.4-1
- update to 1.2.4 stable

* Wed Mar 10 2004 Christopher Blizzard <blizzard@redhat.com> - 1.1.12-0
- Update to 1.1.12
- remove jrb patch for file chooser api changes since it appears
  to have been merged upstream

* Fri Mar  5 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-2
- rebuild

* Thu Mar  4 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-1
- 1.1.10
- add patch from jrb for file-chooser api changes

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 22 2004 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9
- reenable nautilus view

* Thu Feb 19 2004 Christopher Blizzard <blizzard@redhat.com> 1.0.7-3
- disable the nautilus view.  doesn't seem to work anymore.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- 1.0.7

* Tue Dec 02 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.4-3
- Add a BuildRequires for nautilus so that the view is built properly.

* Mon Oct 27 2003 Jakub Jelinek <jakub@redhat.com> 1.0.4-2
- link epiphany-bin with -Wl,-rpath,/usr/lib/mozilla-1.4.1,--enable-new-dtags
  to make it prelinkable

* Fri Oct 24 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Fri Oct 24 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-3
- Enable the nautilus view

* Fri Oct 10 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-2
- Add patch to set the home page to the release notes

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- 1.0.1

* Fri Sep 26 2003 Chris Blizzard <blizzard@redhat.com> 1.0-2
- Updates for Mozilla 1.4.1

* Tue Sep  9 2003 Jeremy Katz <katzj@redhat.com> 1.0-1
- 1.0

* Wed Sep  3 2003 Jeremy Katz <katzj@redhat.com> 0.9.3-1
- 0.9.3

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 0.9.2-1
- 0.9.2

* Mon Aug 11 2003 Jeremy Katz <katzj@redhat.com> 0.8.4-1
- 0.8.4

* Sun Aug 10 2003 Jeremy Katz <katzj@redhat.com> 0.8.3-1
- 0.8.3

* Sun Aug  3 2003 Jeremy Katz <katzj@redhat.com> 0.8.2-1
- 0.8.2

* Fri Jul 25 2003 Christopher Blizzard <blizzard@redhat.com> 0.8.0-2
- Add ppc to the list of arches.

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 0.8.0-1
- 0.8.0

* Fri Jul 11 2003 Christopher Blizzard <blizzard@redhat.com> 0.7.3-3
- be sure to include the mozilla rpm in the build deps since it's
  queried

* Tue Jul 01 2003 Elliot Lee <sopwith@redhat.com> 0.7.3-2
- Fix mozilla dep for new epoch

* Sun Jun 29 2003 Jeremy Katz <katzj@redhat.com> 0.7.3-1
- 0.7.3

* Sat Jun 28 2003 Jeremy Katz <katzj@redhat.com> 0.7.2-1
- update to 0.7.2

* Sun Jun  8 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-4
- fix crash on startup in egg-menu-merge on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-3
- fix build on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-2
- fix build with gcc 3.3

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-1
- update to 0.7.0

* Mon Jun  2 2003 Elliot Lee <sopwith@redhat.com> 0.6.1-2
- Rebuild to fix broken mozilla dep, patch for mozilla 1.4

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 0.6.1-1
- 0.6.1

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-4
- add patch to fix gint/gpointer conversion bugs for 64bit arches

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-3
- only build on arches mozilla is built on

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-2
- rebuild against new mozilla, make mozilla requires dynamic

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-1
- update to 0.6.0
- fix tyop in %%postun

* Wed Apr 16 2003 Bill Nottingham <notting@redhat.com> 0.5.0-3
- make it build with mozilla-1.4 (shouldn't affect moz-1.2/moz-1.3 builds)

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.5.0-2
- add some buildrequires, prereq GConf2
- disable building nautilus view

* Sun Apr 13 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


